/**
 * OW2 Util
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: TestRmicMojo.java 2013 2007-10-30 17:12:47Z loris $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.maven.plugin.rmic;

import java.io.File;

/**
 * Maven Rmic Mojo.
 * @author Loris Bouzonnet
 * @goal testRmic
 * @phase test-compile
 * @description Rmic tool
 */
public class TestRmicMojo extends AbstractRmicMojo {

    /**
     * Ant rmic task param.
     * @parameter expression="${project.build.testOutputDirectory}"
     * @required
     * @readonly
     */
    private File baseDir;

    /**
     * Return the location to get the compiled files.
     * @return the location to get the compiled files
     */
    public File getBaseDir() {
        return baseDir;
    }

}
